tigase.jaxmpp.core.client.xmpp.modules.extensions

## Interface ExtendableModule

- All Known Implementing Classes:
    AbstractIQModule, AbstractStanzaExtendableModule, AdHocCommansModule, BookmarksModule, DiscoveryModule, EntityTimeModule, FlexibleOfflineMessageRetrieval, InBandRegistrationModule, MessageModule, NonSaslAuthModule, PingModule, PubSubModule, RosterModule, SoftwareVersionModule, WorkgroupAgentModule

      public interface ExtendableModule

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(Extension f)`
    `ExtensionsChain` | `getExtensionChain()`
    `void` | `removeExtension(Extension f)`

- - ### Method Detail

    - #### addExtension

          void addExtension(Extension f)

    - #### getExtensionChain

          ExtensionsChain getExtensionChain()

    - #### removeExtension

          void removeExtension(Extension f)

Copyright © 2006–2020 Tigase. All rights reserved.